List Events
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/eventsimport requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/wp-json/latepoint-api/v1/events")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyEvents
List Events
Retrieve a list of events with optional filtering, sorting and pagination.
GET
/
wp-json
/
latepoint-api
/
v1
/
events
List Events
curl --request GET \
--url https://api.example.com/wp-json/latepoint-api/v1/eventsimport requests
url = "https://api.example.com/wp-json/latepoint-api/v1/events"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/wp-json/latepoint-api/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/wp-json/latepoint-api/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/wp-json/latepoint-api/v1/events"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/wp-json/latepoint-api/v1/events")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/wp-json/latepoint-api/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyQuery Parameters
integer
default:"1"
Page number for pagination
integer
default:"10"
Number of events per page
string
Search events by name or summary
string
Filter by status. Available values:
draft, published, cancelled, completedinteger
Filter by event category ID
string
Filter by event type. Available values:
in_person, onlinestring
Only events whose dates end on or after this day (YYYY-MM-DD, site timezone)
string
Only events whose dates start on or before this day (YYYY-MM-DD, site timezone)
string
default:"start_datetime_utc"
Field to sort results by. Valid values:
id, name, start_datetime_utc, created_at, order_number, pricestring
default:"asc"
Sort direction. Valid values:
asc, descList items do not include the
dates array. Use Get Event or List Event Dates to get them. See Dates and times for the timezone rules.Example Request
GET /wp-json/latepoint-api/v1/events?status=published&date_from=2026-12-01&date_to=2026-12-31
Authorization: Bearer YOUR_API_KEY
Response
{
"success": true,
"data": [
{
"id": 2,
"name": "Yoga Retreat",
"slug": "yoga-retreat",
"summary": "Two mornings",
"description": null,
"status": "published",
"event_type": "in_person",
"online_url": null,
"category_id": 1,
"category": {
"id": 1,
"name": "Workshops"
},
"featured_image_id": null,
"featured_image_url": null,
"location_text": "Studio A",
"organizer_name": "Ana",
"price": 25,
"formatted_price": "$25.00",
"is_paid": true,
"charge_per_ticket": true,
"ask_ticket_quantity": false,
"start": "2026-12-05 09:00:00",
"end": "2026-12-06 12:00:00",
"start_utc": "2026-12-05 12:00:00",
"end_utc": "2026-12-06 15:00:00",
"registration_start": null,
"registration_end": "2026-12-01 18:00:00",
"registration_open": true,
"capacity": {
"unlimited": false,
"total": 10,
"booked": 0,
"available": 10,
"sold_out": false
},
"timezone": "America/Montevideo",
"order_number": 0,
"created_at": "2026-10-20 14:12:05",
"updated_at": "2026-10-27 09:41:30"
}
],
"pagination": {
"page": 1,
"per_page": 10,
"total": 1,
"total_pages": 1,
"has_next_page": false,
"has_previous_page": false
}
}
use_ticket_types, ticket_types and waiting_list, as shown in Get Event.